void create_ped_map()
{
	var coord_x = 0;
	var coord_y = 0;
	var counter = 0;
	var test = 0;
	
		for(counter = 0 ; counter < 65536; counter++)
		{
				c_trace (vector(coord_x,coord_y,5000),vector(coord_x,coord_y,-1000),IGNORE_ME|USE_POLYGON|IGNORE_MAPS);
				sma_data2[counter].eventType = 0;
				sma_data2[counter].EnableLand = 0;
				sma_data2[counter].EventP1 = 0;
				waData[counter].ped_map_event = 0;
				waData[counter].is_Landing = 0;
				
				if(hit.entity.skill31 > 0)
				printf("%i",hit.entity.skill31);
				
				
				if(hit.entity.skill31 == 3014400){sma_data2[counter].EnableLand = 1;sma_data2[counter].eventType = 3; sma_data2[counter].EventP1 = str_to_int(EditASS_INPUT.caption);waData[counter].is_Landing = 1;waData[counter].ped_map_event = 3;}
				if(hit.entity.skill31 == 3012300){sma_data2[counter].EnableLand = 1;sma_data2[counter].eventType = 3; sma_data2[counter].EventP1 = str_to_int(EditASS_INPUT.caption);waData[counter].is_Landing = 1;waData[counter].ped_map_event = 3;}
				if(hit.entity.skill31 == 3000200){sma_data2[counter].EnableLand = 1;sma_data2[counter].eventType = 3; sma_data2[counter].EventP1 = str_to_int(EditASS_INPUT.caption);waData[counter].is_Landing = 1;waData[counter].ped_map_event = 3;}
				if(hit.entity.skill31 == 3014800){sma_data2[counter].EnableLand = 1;sma_data2[counter].eventType = 3; sma_data2[counter].EventP1 = str_to_int(EditASS_INPUT.caption);waData[counter].is_Landing = 1;waData[counter].ped_map_event = 3;}
				if(hit.entity.skill31 == 3060800){sma_data2[counter].EnableLand = 1;sma_data2[counter].eventType = 3; sma_data2[counter].EventP1 = str_to_int(EditASS_INPUT.caption);waData[counter].is_Landing = 1;waData[counter].ped_map_event = 3;}
				if(hit.entity.skill31 == 3060400){sma_data2[counter].EnableLand = 1;sma_data2[counter].eventType = 3; sma_data2[counter].EventP1 = str_to_int(EditASS_INPUT.caption);waData[counter].is_Landing = 1;waData[counter].ped_map_event = 3;}
				if(hit.entity.skill31 == 3122600){sma_data2[counter].EnableLand = 1;sma_data2[counter].eventType = 3; sma_data2[counter].EventP1 = str_to_int(EditASS_INPUT.caption);waData[counter].is_Landing = 1;waData[counter].ped_map_event = 3;}
		
			coord_y +=40;
			if(coord_y >= 10240)
			{
				coord_y = 0;
				coord_x +=40;
			}
			
		}
		printf("Done!");
		LBG_destroy_window (aas_window);
	
}




